#include <linux/module.h>
#include <linux/sched.h>

const char* donor_name = "Wataru Nishida";
const int   donor_id   = 80486;

void donor_func(int param)
 {
  printk("... donor_func(%d): You are \"%s #%d\".\n", \
          param, current->comm, current->pid);
 }

EXPORT_SYMBOL(donor_name);
EXPORT_SYMBOL(donor_id);
EXPORT_SYMBOL(donor_func);

int init_module(void) {
  printk("=== donor.o is inserted into kernel.\n");
  donor_func(1234);
  return 0;
 }

void cleanup_module(void) {
  printk("=== donor.o is removed.\n");
 }
