struct module_symbol
 {
  unsigned long value;
  const char* name;
 };

#define EXPORT_SYMBOL(sym)                              \
const char __kstrtab_##sym[]                            \
__attribute__((section(".kstrtab"))) = #sym;            \
const struct module_symbol __ksymtab_##sym              \
__attribute__((section("__ksymtab"))) =                 \
{ (unsigned long)&sym, __kstrtab_##sym }

unsigned long volatile jiffies;

EXPORT_SYMBOL(jiffies);
