#include <linux/module.h>

extern const char* donor_name;
extern const int   donor_id;
extern void donor_func(int);

int init_module(void) {
  printk("=== recipient.o is inserted into kernel.\n);
  printk("  -- donor_name locates @ %8X\n", &donor_name);
  printk("  -- donor_id   locates @ %8X\n", &donor_id);
  printk("  -- donor_func locates @ %8X\n", &donor_func);
  printk("  -- donor's name is \"%s\"\n", donor_name);
  printk("  -- donor's ID is %d\n", donor_id);
  donor_func(5678);
  return 0;
 }

void cleanup_module(void) {
  printk("=== recipient.o is removed.\n");
 }
